.file-field {
  display: flex;
  gap: 70px;
}

.file-field > .file-field--description {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  max-width: 558px;
}

.file-field > .file-field--description > p {
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  font-weight: 500;
  color: #5F5F5F;
  margin-bottom: 12px;
}

.file-field > .file-field--description > .file-field--file > input {
  display: none;
}

.file-field > .file-field--description > .file-field--file > button {
  width: 100%;
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  font-weight: 500;
  color: #337DBB;
  background-color: transparent;
  border: 2px dashed #337DBB;
  border-radius: 5px;
  padding: 15px;
  cursor: pointer;
}

.file-field > .file-field--image {
  width: 177px;
  height: 220px;
  background-image: var(--background-image);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all ease 0.3s;
}

.file-field > .file-field--image.preview {
  background-image: linear-gradient(0deg, rgb(0 0 0 / 20%), rgb(0 0 0 / 20%)), var(--background-image);
  box-shadow: 0 0 10px rgb(0 0 0 / 30%);
  cursor: pointer;
}

.file-field > .file-field--image.preview:hover {
  box-shadow: 0 0 10px rgb(0 0 0 / 20%);
}

.file-field > .file-field--image > i {
  display: none;
  font-size: 3rem;
  color: #FFF;
}

.file-field > .file-field--image.preview > i {
  display: block;
}

.file-field-modal-mask {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: rgba(0,0,0,0.5);
}

.file-field-modal {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  width: 100%;
  max-width: 400px;
  min-width: 320px;
  padding: 24px;
  border-radius: 3px;
  background-color: #FFF;
  transform: translate(-50%,-50%);
  flex-direction: column;
  align-items: center;
}

.file-field-modal > .file-field-modal--header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  margin-bottom: 20px;
}

.file-field-modal > .file-field-modal--header > p {
  font-family: 'Roboto', sans-serif;
  font-size: 1.125rem;
  color: #313131;
  font-weight: 600;
}

.file-field-modal > .file-field-modal--header > i {
  font-size: 22px;
  cursor: pointer;
}

.file-field-modal > .file-field-modal--content {
  margin-bottom: 16px;
}

.file-field-modal > .file-field-modal--content > img {
  width: 100%;
  height: auto;
  border-radius: 3px;
}

.file-field-modal > .file-field-modal--footer > button {
  width: 100%;
  background-color: #2F4CA5;
  border: none;
  border-radius: 5px;
  padding: 12px 50px;
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  color: #FFF;
  cursor: pointer;
}